## org.hibernate.envers.query.property
Class RevisionPropertyPropertyName

    java.lang.Object
      org.hibernate.envers.query.property.RevisionPropertyPropertyName

All Implemented Interfaces:
  PropertyNameGetter

    public class RevisionPropertyPropertyName

extends Object
implements PropertyNameGetter

Used for specifying restrictions on a property of the revision entity, which is associated with an audit entity.

Constructor Summary
`RevisionPropertyPropertyName(String propertyName)`

Method Summary
`String` `get(AuditConfiguration auditCfg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionPropertyPropertyName

    public RevisionPropertyPropertyName(String propertyName)

Method Detail

### get

    public String get(AuditConfiguration auditCfg)

  Specified by:
    `get` in interface `PropertyNameGetter`
  Parameters:
    `auditCfg` - Audit configuration.
  Returns:
    Name of the property, to be used in a query.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.